Skip to main content
`Ctrl`+`K`

# VecViewNative

Views a vector object with the original type specific viewer

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecViewNative(Vec vec, PetscViewer viewer)

Collective

## Input Parameters

- vec - the vector

- viewer - an optional `PetscViewer` visualization context

## Note

This can be used with, for example, vectors obtained with `DMCreateGlobalVector()` for a `DMDA` to display the vector in the PETSc storage format (each MPI process values follow the previous MPI processes) instead of the “natural” grid ordering.

## See Also

Vectors and Parallel Data, `Vec`, `PetscViewerASCIIOpen()`, `PetscViewerDrawOpen()`, `PetscDrawLGCreate()`, `VecView()`, `PetscViewerSocketOpen()`, `PetscViewerBinaryOpen()`, `VecLoad()`, `PetscViewerCreate()`, `PetscRealView()`, `PetscScalarView()`, `PetscIntView()`, `PetscViewerHDF5SetTimestep()`

## Level

developer

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages